Bug 3565 - pam_smbpass is broken in 3.0.21b with lmuelle's rpms on SUSE 9.1
pam_smbpass is broken in 3.0.21b with lmuelle's rpms on SUSE 9.1
Status: VERIFIED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Packaging
3.0.21b
x86 Linux
: P3 normal
: none
Assigned To: Lars Müller
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 06:13 UTC by Jörn Nettingsmeier
Modified: 2006-03-12 13:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jörn Nettingsmeier 2006-03-01 06:13:41 UTC
after upgrading from 3.0.21 to 3.0.21b (using lars mueller's samba rpms
on a suse 9.1/i386 machine), pam_smbpass is broken.

passwd: Module is unknown.

passwd[7143]: PAM unable to dlopen(/lib/security/pam_smbpass.so)
passwd[7143]: PAM [dlerror: /lib/security/pam_smbpass.so: undefined
symbol: tdb_prs_fetch]
passwd[7143]: PAM adding faulty module: /lib/security/pam_smbpass.so
passwd[7143]: User root: Module is unknown
Comment 1 Lars Müller 2006-03-01 07:01:55 UTC
Working already on this.
Comment 2 Lars Müller 2006-03-01 08:27:07 UTC
Please test the Samba packages from http://samba.org/~lmuelle/bso3565/9.1-i386/
Comment 3 Lars Müller 2006-03-02 03:05:23 UTC
Jörn: Any chance to test the provided package?
Comment 4 Lars Müller 2006-03-06 20:08:20 UTC
I copied a pam_smbpass.so file to the same location.  This file hase the md5 sum 966795894ad5d7ba0d1ff43b07bbb4f4

mv /lib/security/pam_smbpass.so to /lib/security/pam_smbpass.so.fromRPM and copy the provided version to /lib/security/  This will allow you to test without replacing the samba package.
Comment 5 Lars Müller 2006-03-07 09:33:49 UTC
Fixed with subversion revision 13946.

Jörn:  Please answer the question from comment #4 anyhow.
Comment 6 Jörn Nettingsmeier 2006-03-12 11:16:28 UTC
thanks, the new pam_smbpasswd.so fixed it. sorry for the late reply, i've beem out-of-office for a while and didn't want to upgrade without being around in case of problems.